# org.pdfclown.documents.contents.fonts.OpenFontParser Class Reference

Open Font Format parser [OFF:2009]. More...

List of all members.

## Classes
class | FontMetrics
| Font metrics. More...
## Public Types
enum | OutlineFormatEnum { TrueType, CFF }
| Outline format. More...
## Static Public Member Functions
static bool | IsOpenFont (bytes::IInputStream fontData)
| Gets whether the given data represents a valid Open Font.
## Public Attributes
bytes::IInputStream | FontData
string | FontName
Dictionary< int, int > | GlyphIndexes
Dictionary< int, int > | GlyphKernings
Dictionary< int, int > | GlyphWidths
FontMetrics | Metrics
OutlineFormatEnum | OutlineFormat
bool | Symbolic
| Whether glyphs are indexed by custom (non-Unicode) encoding.

##

Open Font Format parser [OFF:2009].

## Member Enumeration Documentation

enum org::pdfclown::documents::contents::fonts::OpenFontParser::OutlineFormatEnum

Outline format.

Enumerator:

  TrueType | TrueType format outlines.
  CFF | Compact Font Format outlines.

## Member Function Documentation

static bool org.pdfclown.documents.contents.fonts.OpenFontParser.IsOpenFont | ( | bytes::IInputStream | fontData | ) | `[static]`

Gets whether the given data represents a valid Open Font.

References org.pdfclown.bytes.IInputStream.Position, and org.pdfclown.bytes.IInputStream.ReadInt().

## Member Data Documentation

bytes::IInputStream org.pdfclown.documents.contents.fonts.OpenFontParser.FontData

string org.pdfclown.documents.contents.fonts.OpenFontParser.FontName

Dictionary<int,int> org.pdfclown.documents.contents.fonts.OpenFontParser.GlyphIndexes

Referenced by org.pdfclown.documents.contents.fonts.TrueTypeFont.LoadEncoding().

Dictionary<int,int> org.pdfclown.documents.contents.fonts.OpenFontParser.GlyphKernings

Dictionary<int,int> org.pdfclown.documents.contents.fonts.OpenFontParser.GlyphWidths

FontMetrics org.pdfclown.documents.contents.fonts.OpenFontParser.Metrics

Referenced by org.pdfclown.documents.contents.fonts.TrueTypeFont.LoadEncoding().

OutlineFormatEnum org.pdfclown.documents.contents.fonts.OpenFontParser.OutlineFormat

Referenced by org.pdfclown.documents.contents.fonts.CompositeFont.Get().

bool org.pdfclown.documents.contents.fonts.OpenFontParser.Symbolic

Whether glyphs are indexed by custom (non-Unicode) encoding.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.